Bug 7838 - Add sort-string-utf.chr for Ukrainian and Russian
Summary: Add sort-string-utf.chr for Ukrainian and Russian
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low major (vote)
Assignee: Galen Charlton
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-27 23:45 UTC by Serhij Dubyk
Modified: 2013-12-05 19:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patch (2.44 KB, patch)
2012-03-27 23:51 UTC, Serhij Dubyk
Details | Diff | Splinter Review
Wrong wide search without cyrillic charset (182.32 KB, image/png)
2012-04-05 10:56 UTC, Serhij Dubyk
Details
Good search_with setting cyrillic charset (116.24 KB, image/png)
2012-04-05 10:57 UTC, Serhij Dubyk
Details
Bug 7838 - Add sort-string-utf.chr for Ukrainian and Russian (2.45 KB, patch)
2012-04-05 21:27 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Serhij Dubyk 2012-03-27 23:45:07 UTC
Add search possibility with Zebra for Russian and Ukrainian alphabets.

Also posted before -
http://koha.1045719.n5.nabble.com/SIGNED-OFF-Zebra-lang-defs-with-charsets-for-Ukrainian-an-Russian-td4919571.html
Comment 1 Serhij Dubyk 2012-03-27 23:51:04 UTC Comment hidden (obsolete)
Comment 2 Serhij Dubyk 2012-04-05 10:55:32 UTC
This patch add cyryllic charset 

lowercase {0-9}{a-z}абвгґдеэєжзіїийклмнопрстуфхцчшщьыъюяёў
uppercase {0-9}{A-Z}АБВГҐДЕЭЄЖЗІЇИЙКЛМНОПРСТУФХЦЧШЩЬЫЪЮЯЁЎ

This needed for normal search.

Please look on screenshots in attachments:
1) good_search_with_setting_cyrillic_charset.png
2) wrong_wide_search_without_cyrillic_charset.png
Comment 3 Serhij Dubyk 2012-04-05 10:56:40 UTC
Created attachment 8908 [details]
Wrong wide search without cyrillic charset
Comment 4 Serhij Dubyk 2012-04-05 10:57:33 UTC
Created attachment 8909 [details]
Good search_with setting cyrillic charset
Comment 5 Chris Cormack 2012-04-05 21:27:05 UTC
Created attachment 8938 [details] [review]
Bug 7838 - Add sort-string-utf.chr for Ukrainian and Russian

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 6 Ian Walls 2012-04-11 11:18:23 UTC
Adds sort-string-utf.chr files in the appropriate place.  I am unable to speak to the correctness, as I cannot comprehend Cyrillic, but these additions harm no one, and use the right lang codes.

Marking Passed QA.
Comment 7 Paul Poulain 2012-04-12 15:23:52 UTC
Patch pushed, but Serhij, have you tried Koha with ICU ? It handles those equivalences much better than what sort-string.chr can do !
Comment 8 Jared Camins-Esakov 2012-05-09 16:53:46 UTC
This bug will be included in the Koha 3.6.5 release.